[Python-modules-commits] r29677 - in packages/matplotlib/trunk/debian (11 files)

jtaylor-guest at users.alioth.debian.org jtaylor-guest at users.alioth.debian.org
Mon Jul 7 18:14:32 UTC 2014


    Date: Monday, July 7, 2014 @ 18:14:31
  Author: jtaylor-guest
Revision: 29677

try to fix unstable matplotlib

* fix_infinite_recursion.diff:
  fix infinite recursion in units with ndarray subclasses (Closes: #729590)
* multiarch-tktcl.patch:
  fix missing tkagg due to multiarch tktcl (Closes: #750630)
* update to tcl/tk 8.6 to match what python-tk is using (Closes: #752548)
* add python{,3}-tk-dbg build depends for debugging enabled tk backend
  (Closes: #714948)
* add autopkg tests for the basic backends

Added:
  packages/matplotlib/trunk/debian/patches/fix_infinite_recursion.diff
  packages/matplotlib/trunk/debian/patches/multiarch-tktcl.patch
  packages/matplotlib/trunk/debian/tests/
  packages/matplotlib/trunk/debian/tests/backend-base
  packages/matplotlib/trunk/debian/tests/control
  packages/matplotlib/trunk/debian/tests/qt4agg
  packages/matplotlib/trunk/debian/tests/tkagg
  packages/matplotlib/trunk/debian/tests/wxagg
Modified:
  packages/matplotlib/trunk/debian/changelog
  packages/matplotlib/trunk/debian/control
  packages/matplotlib/trunk/debian/patches/series

Modified: packages/matplotlib/trunk/debian/changelog
===================================================================
--- packages/matplotlib/trunk/debian/changelog	2014-07-07 14:11:36 UTC (rev 29676)
+++ packages/matplotlib/trunk/debian/changelog	2014-07-07 18:14:31 UTC (rev 29677)
@@ -1,5 +1,6 @@
 matplotlib (1.3.1-2) UNRELEASED; urgency=low
 
+  [ Sandro Tosi ]
   * debian/control
     - added python3-gi-cairo to Suggest for py3k package; thanks to Arnaud
       Gardelein for the report; Closes: #730728
@@ -8,6 +9,16 @@
   * debian/python-matplotlib.preinst
     - removed, no longer needed
 
+  [ Julian Taylor ]
+  * fix_infinite_recursion.diff:
+    fix infinite recursion in units with ndarray subclasses (Closes: #729590)
+  * multiarch-tktcl.patch:
+    fix missing tkagg due to multiarch tktcl (Closes: #750630)
+  * update to tcl/tk 8.6 to match what python-tk is using (Closes: #752548)
+  * add python{,3}-tk-dbg build depends for debugging enabled tk backend
+    (Closes: #714948)
+  * add autopkg tests for the basic backends
+
  -- Sandro Tosi <morph at debian.org>  Sat, 19 Apr 2014 23:04:06 +0200
 
 matplotlib (1.3.1-1) unstable; urgency=low

Modified: packages/matplotlib/trunk/debian/control
===================================================================
--- packages/matplotlib/trunk/debian/control	2014-07-07 14:11:36 UTC (rev 29676)
+++ packages/matplotlib/trunk/debian/control	2014-07-07 18:14:31 UTC (rev 29677)
@@ -42,18 +42,20 @@
                python-sphinx (>= 1.0.7+dfsg),
                python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
+               python-tk-dbg (>= 2.5.2-1.1),
                python3-tk,
+               python3-tk-dbg,
                python-tornado,
                python3-tornado,
                python-tz,
                python3-tz,
                python-wxgtk2.8,
                python-xlwt,
-               tcl8.5-dev,
+               tcl8.6-dev,
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
-               tk8.5-dev,
+               tk8.6-dev,
                xauth,
                xvfb,
                zlib1g-dev
@@ -63,6 +65,7 @@
 Homepage: http://matplotlib.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-matplotlib
 Architecture: any

Added: packages/matplotlib/trunk/debian/patches/fix_infinite_recursion.diff
===================================================================
--- packages/matplotlib/trunk/debian/patches/fix_infinite_recursion.diff	                        (rev 0)
+++ packages/matplotlib/trunk/debian/patches/fix_infinite_recursion.diff	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,22 @@
+Description: fix infinite recursion in units with ndarray subclasses
+Origin: upstream, https://github.com/matplotlib/matplotlib/commit/21fd7c03ba1444
+Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729590
+Last-Update: 2013-12-24
+
+--- a/lib/matplotlib/units.py
++++ b/lib/matplotlib/units.py
+@@ -145,7 +145,13 @@
+                     return converter
+             except AttributeError:
+                 # not a masked_array
+-                converter = self.get_converter(xravel[0])
++                # Make sure we don't recurse forever -- it's possible for
++                # ndarray subclasses to continue to return subclasses and
++                # not ever return a non-subclass for a single element.
++                next_item = xravel[0]
++                if (not isinstance(next_item, np.ndarray) or
++                    next_item.shape != x.shape):
++                    converter = self.get_converter(next_item)
+                 return converter
+ 
+         if converter is None and iterable(x):

Added: packages/matplotlib/trunk/debian/patches/multiarch-tktcl.patch
===================================================================
--- packages/matplotlib/trunk/debian/patches/multiarch-tktcl.patch	                        (rev 0)
+++ packages/matplotlib/trunk/debian/patches/multiarch-tktcl.patch	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,26 @@
+Description: adapt setup to find multiarched tk/tcl
+Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/matplotlib/+bug/752647
+Forwarded: no, only if we upstream multiarchification
+Author: Julian Taylor <jtaylor at ubuntu.com>
+
+Index: matplotlib-1.3.1/setupext.py
+===================================================================
+--- matplotlib-1.3.1.orig/setupext.py	2013-10-29 07:19:22.483793802 +0100
++++ matplotlib-1.3.1/setupext.py	2013-10-29 07:20:01.504272247 +0100
+@@ -1235,13 +1235,16 @@
+         except ImportError:
+             return None
+ 
++        from distutils import sysconfig
+         tcl_poss = [tcl_lib_dir,
+                     os.path.normpath(os.path.join(tcl_lib_dir, '..')),
+                     "/usr/lib/tcl" + str(Tkinter.TclVersion),
++                    "/usr/lib/%s/tcl%s" % (sysconfig.get_config_var('MULTIARCH'), Tkinter.TclVersion),
+                     "/usr/lib"]
+         tk_poss = [tk_lib_dir,
+                     os.path.normpath(os.path.join(tk_lib_dir, '..')),
+                    "/usr/lib/tk" + str(Tkinter.TkVersion),
++                   "/usr/lib/%s/tk%s" % (sysconfig.get_config_var('MULTIARCH'), Tkinter.TkVersion),
+                    "/usr/lib"]
+         for ptcl, ptk in zip(tcl_poss, tk_poss):
+             tcl_config = os.path.join(ptcl, "tclConfig.sh")

Modified: packages/matplotlib/trunk/debian/patches/series
===================================================================
--- packages/matplotlib/trunk/debian/patches/series	2014-07-07 14:11:36 UTC (rev 29676)
+++ packages/matplotlib/trunk/debian/patches/series	2014-07-07 18:14:31 UTC (rev 29677)
@@ -4,3 +4,5 @@
 50_bts608942_spaces_in_param_args.patch
 60_deal_with_no_writable_dirs.patch
 70_bts720549_try_StayPuft_for_xkcd.patch
+multiarch-tktcl.patch
+fix_infinite_recursion.diff

Added: packages/matplotlib/trunk/debian/tests/backend-base
===================================================================
--- packages/matplotlib/trunk/debian/tests/backend-base	                        (rev 0)
+++ packages/matplotlib/trunk/debian/tests/backend-base	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -efu
+
+DEBUG=${DEBUG:-yes}
+
+export HOME=$ADTTMP
+cd $ADTTMP
+
+echo "=== $BACKEND ==="
+
+cat << EOF > test.py
+import matplotlib
+matplotlib.use("$BACKEND")
+import matplotlib.pyplot as plt
+
+plt.ion()
+plt.plot(range(5), range(5))
+plt.show()
+plt.gca().figure.canvas.draw()
+plt.savefig('test.png')
+EOF
+
+for py in $pys; do
+    echo "=== $py ==="
+    xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" $py test.py
+    rm test.png
+
+    if [ "$DEBUG" = "yes" ]; then
+      echo "=== $py-dbg ==="
+      xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" $py-dbg test.py 2>&1
+      rm test.png
+    fi
+done
+


Property changes on: packages/matplotlib/trunk/debian/tests/backend-base
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/matplotlib/trunk/debian/tests/control
===================================================================
--- packages/matplotlib/trunk/debian/tests/control	                        (rev 0)
+++ packages/matplotlib/trunk/debian/tests/control	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,8 @@
+Tests: tkagg
+Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-tk, python-tk-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-tk, python3-tk-dbg, python3-numpy, python3-numpy-dbg
+
+Tests: qt4agg
+Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-qt4, python-qt4-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-pyqt4, python3-pyqt4-dbg, python3-numpy, python3-numpy-dbg
+
+Tests: wxagg
+Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-wxgtk2.8, python-wxgtk2.8-dbg, python-numpy, python-numpy-dbg

Added: packages/matplotlib/trunk/debian/tests/qt4agg
===================================================================
--- packages/matplotlib/trunk/debian/tests/qt4agg	                        (rev 0)
+++ packages/matplotlib/trunk/debian/tests/qt4agg	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null) $(py3versions -r 2>/dev/null)"
+
+BACKEND="Qt4Agg" pys=$pys debian/tests/backend-base


Property changes on: packages/matplotlib/trunk/debian/tests/qt4agg
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/matplotlib/trunk/debian/tests/tkagg
===================================================================
--- packages/matplotlib/trunk/debian/tests/tkagg	                        (rev 0)
+++ packages/matplotlib/trunk/debian/tests/tkagg	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null) $(py3versions -r 2>/dev/null)"
+
+BACKEND="TkAgg" pys=$pys debian/tests/backend-base


Property changes on: packages/matplotlib/trunk/debian/tests/tkagg
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/matplotlib/trunk/debian/tests/wxagg
===================================================================
--- packages/matplotlib/trunk/debian/tests/wxagg	                        (rev 0)
+++ packages/matplotlib/trunk/debian/tests/wxagg	2014-07-07 18:14:31 UTC (rev 29677)
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+# todo check why debug fails
+BACKEND="WXAgg" pys=$pys DEBUG=no debian/tests/backend-base 2>&1


Property changes on: packages/matplotlib/trunk/debian/tests/wxagg
___________________________________________________________________
Added: svn:executable
   + *




More information about the Python-modules-commits mailing list